# $Revision: 1.24 $, $Date: 2011/06/10 14:44:56 $
Summary:	A library to check account numbers and bank codes of German banks
Summary(pl.UTF-8):	Biblioteka do sprawdzania numerów kont i kodów bankowych niemieckich banków
Name:		ktoblzcheck
Version:	1.33
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
# Source0-md5:	e9f62a9a64ee51ab43751eadcade0433
URL:		http://ktoblzcheck.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KtoBLZCheck is a library to check account numbers and bank codes of
German banks.

Both a library for other programs as well as a short command-line tool
is available. It is possible to check pairs of account numbers and
bank codes (BLZ) of German banks, and to map bank codes (BLZ) to the
clear-text name and location of the bank.

%description -l pl.UTF-8
KtoBLZCheck to biblioteka do sprawdzania numerów kont i kodów
bankowych niemieckich banków.

Dostępna jest zarówno biblioteka jak i proste narzędzie działające z
linii poleceń. Pozwalają na sprawdzenie par numerów kont i kodów
bankowych (BLZ) niemieckich banków oraz na zamianę kodów bankowych
(BLZ) na tekstową nazwę oraz lokalizację banku.

%package devel
Summary:	Header files for KtoBLZCheck library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for KtoBLZCheck library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki KtoBLZCheck.

%package static
Summary:	Static KtoBLZCheck library
Summary(pl.UTF-8):	Statyczna biblioteka KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KtoBLZCheck library.

%description static -l pl.UTF-8
Statyczna biblioteka KtoBLZCheck.

%package -n python-ktoblzcheck
Summary:	Python binding for KtoBLZCheck library
Summary(pl.UTF-8):	Wiązanie Pythona dla biblioteki KtoBLZCheck
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
# for python-ctypes (>= 1:2.5 already forced by BR + _eq below)
%pyrequires_eq	python-modules

%description -n python-ktoblzcheck
Python binding for KtoBLZCheck library.

%description -n python-ktoblzcheck -l pl.UTF-8
Wiązanie Pythona dla biblioteki KtoBLZCheck.

%prep
%setup -q

%build
%configure \
	--enable-python \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ktoblzcheck
%attr(755,root,root) %{_libdir}/libktoblzcheck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libktoblzcheck.so.1
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%attr(755,root,root) %{_datadir}/%{name}/*.pl
%{_mandir}/man1/ktoblzcheck.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktoblzcheck.so
%{_libdir}/libktoblzcheck.la
%{_includedir}/iban.h
%{_includedir}/ktoblzcheck.h
%{_pkgconfigdir}/ktoblzcheck.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libktoblzcheck.a

%files -n python-ktoblzcheck
%defattr(644,root,root,755)
%{py_sitescriptdir}/ktoblzcheck.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ktoblzcheck.spec,v $
Revision 1.24  2011/06/10 14:44:56  qboosh
- updated to 1.33
- removed obsolete soname patch

Revision 1.23  2011/05/28 06:45:21  qboosh
- updated to 1.32
- added soname patch (revert accidental soname decrease)

Revision 1.22  2011/02/25 08:32:37  caleb
- Up to 1.31

Revision 1.21  2010/11/14 14:56:48  qboosh
- updated to 1.29

Revision 1.20  2010/10/21 12:03:44  caleb
- Up to 1.28

Revision 1.19  2010/07/09 11:17:45  arekm
- release 2

Revision 1.18  2009/08/03 20:17:14  wiget
- updated to 1.23

Revision 1.17  2008/10/19 10:03:36  arekm
- up to 1.19

Revision 1.16  2008/07/20 06:59:08  qboosh
- updated to 1.18

Revision 1.15  2008/01/08 07:38:53  qboosh
- compacted python dep

Revision 1.14  2008-01-08 00:30:27  glen
- python-ctypes now in python-modules; rel 2

Revision 1.13  2007-12-16 22:42:19  qboosh
- updated to 1.16

Revision 1.12  2007-11-04 17:47:31  qboosh
- updated to 1.15

Revision 1.11  2007/07/16 18:37:09  qboosh
- updated to 1.14

Revision 1.10  2007/02/19 19:51:39  qboosh
- updated to 1.13

Revision 1.9  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.7  2006/12/04 00:37:26  qboosh
- updated to 1.12

Revision 1.6  2006/08/23 19:02:15  qboosh
- updated to 1.11

Revision 1.5  2006/02/20 19:52:58  qboosh
- updated to 1.10

Revision 1.4  2006/01/15 17:15:17  qboosh
- updated to 1.9

Revision 1.3  2005/11/27 15:00:01  qboosh
- pyrequires fix

Revision 1.2  2005/11/27 14:59:18  qboosh
- updated to 1.8

Revision 1.1  2005/10/24 22:14:08  qboosh
- new
